Index: trunk/SRC/Documentation/idlwave_catalog
===================================================================
--- trunk/SRC/Documentation/idlwave_catalog	(revision 76)
+++ trunk/SRC/Documentation/idlwave_catalog	(revision 77)
@@ -119,5 +119,5 @@
     next;
   }
-  $time=localtime();
+#  $time=localtime();
   print CATALOG <<EOF;
 ;;
Index: trunk/SRC/Documentation/xmldoc/firststeps.xml
===================================================================
--- trunk/SRC/Documentation/xmldoc/firststeps.xml	(revision 76)
+++ trunk/SRC/Documentation/xmldoc/firststeps.xml	(revision 77)
@@ -435,5 +435,5 @@
 	</calloutlist>
 	</screenco>
-	<command>scontour</command> is compatible with the positioning method associated with the <computeroutput>small</computeroutput> keyword. See for example the test file <ulink url="idlfiles/tst_basic.pro"><filename>tst_basic.pro</filename></ulink>:
+	<command>scontour</command> is compatible with the positioning method associated with the <computeroutput>small</computeroutput> keyword. See for example the test file <ulink url="../../Tests/tst_basic.pro"><filename>tst_basic.pro</filename></ulink>:
 	<screen format="linespecific">
   <prompt>&promptidl;</prompt> <userinput><command>tst_basic</command></userinput> <ulink url="figpng/tst_basic.png">&showfig;</ulink>
@@ -502,5 +502,5 @@
   <computeroutput>% Compiled module: DEFINETRI.</computeroutput>
 	  </screen>
-	  This <ulink url="idlfiles/tst_initlev.pro"><command>@tst_initlev</command></ulink> command allows us to define:
+	  This <ulink url="../../Tests/tst_initlev.pro"><command>@tst_initlev</command></ulink> command allows us to define:
 	  <itemizedlist>
 	    <listitem><simpara>domain dimensions, stored in <varname>jpi, jpj and jpk</varname></simpara></listitem>
@@ -544,15 +544,15 @@
 	  We provide other initialization methods/examples
 	  <itemizedlist>
-	    <listitem><simpara><ulink url="idlfiles/tst_initorca2_short.pro">@tst_initorca2_short</ulink> : ORCA2 example</simpara></listitem>
-	    <listitem><simpara><ulink url="idlfiles/tst_initorca05_short.pro">@tst_initorca05_short</ulink> : ORCA05 example</simpara></listitem>
-	    <listitem><simpara><ulink url="idlfiles/tst_initlev_stride.pro">@tst_initlev_stride</ulink> : same as @tst_initlev but we skip on point over 2 in x and y direction</simpara></listitem>
-	    <listitem><simpara><ulink url="idlfiles/tst_initorca2_short_stride.pro">@tst_initorca2_short_stride</ulink> : ORCA2 with stride</simpara></listitem>
-	    <listitem><simpara><ulink url="idlfiles/tst_initorca05_short_stride.pro">@tst_initorca05_short_stride</ulink> : ORCA05 with stride</simpara></listitem>
-	    <listitem><simpara><ulink url="idlfiles/tst_initlev_index.pro">@tst_initlev_index</ulink> : in that case we load the grid using points index as axis instead of the longitude/latitude position</simpara></listitem>
-	    <listitem><simpara><ulink url="idlfiles/tst_initorca2_index.pro">@tst_initorca2_index</ulink> : load ORCA2 as it see by the model</simpara></listitem>
-	    <listitem><simpara><ulink url="idlfiles/tst_initorca05_index.pro">@tst_initorca05_index</ulink> : load ORCA05 as it see by the model</simpara></listitem>
-	    <listitem><simpara><ulink url="idlfiles/tst_initlev_index_stride.pro">@tst_initlev_index_stride</ulink> : @tst_initlev_index with stride</simpara></listitem>
-	    <listitem><simpara><ulink url="idlfiles/tst_initorca2_index_stride.pro">@tst_initorca2_index_stride</ulink> : ORCA2 in index with stride</simpara></listitem>
-	    <listitem><simpara><ulink url="idlfiles/tst_initorca05_index_stride.pro">@tst_initorca05_index_stride</ulink> : ORCA05 in index with stride</simpara></listitem>
+	    <listitem><simpara><ulink url="../../Tests/tst_initorca2_short.pro">@tst_initorca2_short</ulink> : ORCA2 example</simpara></listitem>
+	    <listitem><simpara><ulink url="../../Tests/tst_initorca05_short.pro">@tst_initorca05_short</ulink> : ORCA05 example</simpara></listitem>
+	    <listitem><simpara><ulink url="../../Tests/tst_initlev_stride.pro">@tst_initlev_stride</ulink> : same as @tst_initlev but we skip on point over 2 in x and y direction</simpara></listitem>
+	    <listitem><simpara><ulink url="../../Tests/tst_initorca2_short_stride.pro">@tst_initorca2_short_stride</ulink> : ORCA2 with stride</simpara></listitem>
+	    <listitem><simpara><ulink url="../../Tests/tst_initorca05_short_stride.pro">@tst_initorca05_short_stride</ulink> : ORCA05 with stride</simpara></listitem>
+	    <listitem><simpara><ulink url="../../Tests/tst_initlev_index.pro">@tst_initlev_index</ulink> : in that case we load the grid using points index as axis instead of the longitude/latitude position</simpara></listitem>
+	    <listitem><simpara><ulink url="../../Tests/tst_initorca2_index.pro">@tst_initorca2_index</ulink> : load ORCA2 as it see by the model</simpara></listitem>
+	    <listitem><simpara><ulink url="../../Tests/tst_initorca05_index.pro">@tst_initorca05_index</ulink> : load ORCA05 as it see by the model</simpara></listitem>
+	    <listitem><simpara><ulink url="../../Tests/tst_initlev_index_stride.pro">@tst_initlev_index_stride</ulink> : @tst_initlev_index with stride</simpara></listitem>
+	    <listitem><simpara><ulink url="../../Tests/tst_initorca2_index_stride.pro">@tst_initorca2_index_stride</ulink> : ORCA2 in index with stride</simpara></listitem>
+	    <listitem><simpara><ulink url="../../Tests/tst_initorca05_index_stride.pro">@tst_initorca05_index_stride</ulink> : ORCA05 in index with stride</simpara></listitem>
 	  </itemizedlist>
 	</para>
@@ -565,12 +565,12 @@
 	  When the grid is really irregular (its abscissa and ordinate cannot be descried by a vector), loading the grid directly from the data forces us to make an approximation when computing the grid corners position and the cells size. In that case, it can be preferable to load the grid from the meshmask file created by OPA. As OPA use a Arakawa-C discretization, loading the grid from the meshmask will also define all parameters related to the U, V and F grids (glam[uv],gphi[uv], e[12][uvf]). Note that, when using a simple <link linkend="load_fromdata">grid definition from the data itself</link> (with <filename>initncdf</filename> or <filename>computegrid</filename>), adding the keyword /FULLCGRID leads also to the definition of all U, V and F grids parameters. There is the examples to load ORCA grids from OPA meshmask.
 	  <itemizedlist>
-	    <listitem><simpara><ulink url="idlfiles/tst_initorca2.pro">@tst_initorca2</ulink> : ORCA2</simpara></listitem>
-	    <listitem><simpara><ulink url="idlfiles/tst_initorca05.pro">@tst_initorca05</ulink> : ORCA05</simpara></listitem>
-	    <listitem><simpara><ulink url="idlfiles/tst_initorca2_stride.pro">@tst_initorca2_stride</ulink> : ORCA2 with stride</simpara></listitem>
-	    <listitem><simpara><ulink url="idlfiles/tst_initorca05_stride.pro">@tst_initorca05_stride</ulink> : ORCA05 with stride</simpara></listitem>
-	    <listitem><simpara><ulink url="idlfiles/tst_initorca2_index.pro">@tst_initorca2_index</ulink> : load ORCA2 as it see by the model</simpara></listitem>
-	    <listitem><simpara><ulink url="idlfiles/tst_initorca05_index.pro">@tst_initorca05_index</ulink> : load ORCA05 as it see by the model</simpara></listitem>
-	    <listitem><simpara><ulink url="idlfiles/tst_initorca2_index_stride.pro">@tst_initorca2_index_stride</ulink> : ORCA2 in index with stride</simpara></listitem>
-	    <listitem><simpara><ulink url="idlfiles/tst_initorca05_index_stride.pro">@tst_initorca05_index_stride</ulink> : ORCA05 in index with stride</simpara></listitem>
+	    <listitem><simpara><ulink url="../../Tests/tst_initorca2.pro">@tst_initorca2</ulink> : ORCA2</simpara></listitem>
+	    <listitem><simpara><ulink url="../../Tests/tst_initorca05.pro">@tst_initorca05</ulink> : ORCA05</simpara></listitem>
+	    <listitem><simpara><ulink url="../../Tests/tst_initorca2_stride.pro">@tst_initorca2_stride</ulink> : ORCA2 with stride</simpara></listitem>
+	    <listitem><simpara><ulink url="../../Tests/tst_initorca05_stride.pro">@tst_initorca05_stride</ulink> : ORCA05 with stride</simpara></listitem>
+	    <listitem><simpara><ulink url="../../Tests/tst_initorca2_index.pro">@tst_initorca2_index</ulink> : load ORCA2 as it see by the model</simpara></listitem>
+	    <listitem><simpara><ulink url="../../Tests/tst_initorca05_index.pro">@tst_initorca05_index</ulink> : load ORCA05 as it see by the model</simpara></listitem>
+	    <listitem><simpara><ulink url="../../Tests/tst_initorca2_index_stride.pro">@tst_initorca2_index_stride</ulink> : ORCA2 in index with stride</simpara></listitem>
+	    <listitem><simpara><ulink url="../../Tests/tst_initorca05_index_stride.pro">@tst_initorca05_index_stride</ulink> : ORCA05 in index with stride</simpara></listitem>
 	  </itemizedlist>
 	</para>
@@ -583,5 +583,5 @@
       </title>
 	<para>
-	  A quick presentation of horizontal plots and maps is shown in <ulink url="idlfiles/tst_plt.pro">tst_plt</ulink>. After laoding any of the grid (for example with one of the <link linkend="load_grid">above examples</link>). Just try:
+	  A quick presentation of horizontal plots and maps is shown in <ulink url="../../Tests/tst_plt.pro">tst_plt</ulink>. After laoding any of the grid (for example with one of the <link linkend="load_grid">above examples</link>). Just try:
 	  <screen format="linespecific">
   <prompt>&promptidl;</prompt> <userinput><command>tst_plt</command></userinput>
@@ -607,5 +607,5 @@
       </title>
 	<para>
-	  A quick presentation of vertical sections is shown in <ulink url="idlfiles/tst_pltz.pro">tst_pltz</ulink>. After laoding any of the grid (for example with one of the <link linkend="load_grid">above examples</link>). Just try:
+	  A quick presentation of vertical sections is shown in <ulink url="../../Tests/tst_pltz.pro">tst_pltz</ulink>. After laoding any of the grid (for example with one of the <link linkend="load_grid">above examples</link>). Just try:
 	  <screen format="linespecific">
   <prompt>&promptidl;</prompt> <userinput><command>tst_pltz</command></userinput>
@@ -631,5 +631,5 @@
       </title>
 	<para>
-	  A quick presentation of hovmoellers and time series is shown in <ulink url="idlfiles/tst_pltt.pro">tst_pltt</ulink>. After laoding any of the grid (for example with one of the <link linkend="load_grid">above examples</link>). Just try:
+	  A quick presentation of hovmoellers and time series is shown in <ulink url="../../Tests/tst_pltt.pro">tst_pltt</ulink>. After laoding any of the grid (for example with one of the <link linkend="load_grid">above examples</link>). Just try:
 	  <screen format="linespecific">
   <prompt>&promptidl;</prompt> <userinput><command>tst_pltt</command></userinput>
Index: trunk/SRC/Documentation/xmldoc/idlfiles/tst_basic.pro
===================================================================
--- trunk/SRC/Documentation/xmldoc/idlfiles/tst_basic.pro	(revision 76)
+++ 	(revision )
@@ -1,28 +1,0 @@
-PRO tst_basic
-;
-; figure 1: basics plots
-;
-; 1) plot
-;
-  n = 10
-  y = findgen(n)
-; basic plot
-  splot, y, small = [2, 2, 1], /portrait
-; improved plot by using plot and "graphic keywords"
-  splot, y, small = [2, 2, 2], /noerase, yrange = [0, (n-1)^2], title = 'x and x^2'
-  oplot, y^2, color = 100, linestyle = 2, thick = 3
-;
-; 2) contour
-;
-  z = dist(n)
-; basic plot
-  scontour, z, /fill, nlevels = 15, small = [2, 2, 3], /noerase
-; improved plot by using contour and "graphic keywords"
-  ind = findgen(2*n)/(2.*n)
-  scontour, z, levels = n*ind, c_orientation = 180*ind, c_spacing = .2*ind $
-            , small = [2, 2, 4], /noerase
-  contour, z, /overplot, c_label = rebin([1, 0], 2, n), levels = n*ind $
-           , c_charthick = 2, c_charsize = 1.5, c_colors = 250*ind
-           
-  return
-end
Index: trunk/SRC/Documentation/xmldoc/idlfiles/tst_initlev.pro
===================================================================
--- trunk/SRC/Documentation/xmldoc/idlfiles/tst_initlev.pro	(revision 76)
+++ 	(revision )
@@ -1,4 +1,0 @@
-file = 'Levitus98_1m_01_12_Temperature_Pot_1x1.nc'
-initncdf, file, glamboundary = [20, 380], useasmask = 'votemper' $
-          , missing_value = 31.0720, iodirectory = [iodir, homedir, !path] $
-          , /recursive
Index: trunk/SRC/Documentation/xmldoc/idlfiles/tst_initlev_index.pro
===================================================================
--- trunk/SRC/Documentation/xmldoc/idlfiles/tst_initlev_index.pro	(revision 76)
+++ 	(revision )
@@ -1,4 +1,0 @@
-file = 'Levitus98_1m_01_12_Temperature_Pot_1x1.nc'
-initncdf, file, glamboundary = [20, 380], useasmask = 'votemper' $
-          , missing_value = 31.0720, iodirectory = [iodir, homedir, !path] $
-          , /recursive, /xyindex
Index: trunk/SRC/Documentation/xmldoc/idlfiles/tst_initlev_index_stride.pro
===================================================================
--- trunk/SRC/Documentation/xmldoc/idlfiles/tst_initlev_index_stride.pro	(revision 76)
+++ 	(revision )
@@ -1,4 +1,0 @@
-file = 'Levitus98_1m_01_12_Temperature_Pot_1x1.nc'
-initncdf, file, glamboundary = [20, 380], useasmask = 'votemper' $
-          , missing_value = 31.0720, iodirectory = [iodir, homedir, !path] $
-          , /recursive, /xyindex, stride = [2, 2, 1]
Index: trunk/SRC/Documentation/xmldoc/idlfiles/tst_initlev_stride.pro
===================================================================
--- trunk/SRC/Documentation/xmldoc/idlfiles/tst_initlev_stride.pro	(revision 76)
+++ 	(revision )
@@ -1,4 +1,0 @@
-file = 'Levitus98_1m_01_12_Temperature_Pot_1x1.nc'
-initncdf, file, glamboundary = [20, 380], useasmask = 'votemper' $
-          , missing_value = 31.0720, iodirectory = [iodir, homedir, !path] $
-          , /recursive, stride = [2, 2, 1]
Index: trunk/SRC/Documentation/xmldoc/idlfiles/tst_initorca05.pro
===================================================================
--- trunk/SRC/Documentation/xmldoc/idlfiles/tst_initorca05.pro	(revision 76)
+++ 	(revision )
@@ -1,42 +1,0 @@
-;
-@cm_4mesh
-@cm_4cal
-@cm_4data
-;----------------------------------------------------------
-; boundaries of the read grid regarding to the original grid
-;----------------------------------------------------------
-ixminmesh  =1
-ixmaxmesh  =720
-;
-iyminmesh  =0
-iymaxmesh  =509
-;
-izminmesh  =-1
-izmaxmesh  =-1
-;
-jpt=1
-time = 0
-;------------------------------------------------------
-;  read the grid
-;------------------------------------------------------
-key_stride = [1, 1, 1]
-ncdf_meshread, 'micromeshmaskORCA05.nc', glamboundary = [20, 380] $
-              , iodirectory = [iodir, homedir, !path], /recursive
-;-------------------------------------------------------------
-domdef
-;
-triangles_list = triangule(/keep_cont)
-;----------------------------------------------------------
-; boundaries of the data regarding to the original grid
-;----------------------------------------------------------
-jpidta = jpiglo
-jpjdta = jpjglo
-jpkdta = jpkglo
-ixmindta = 0
-ixmaxdta = jpidta-1
-iymindta = 0
-iymaxdta = jpjdta-1
-izmindta = 0
-izmaxdta = jpkdta-1
-;----------------------------------------------------------
-@updateold
Index: trunk/SRC/Documentation/xmldoc/idlfiles/tst_initorca05_index.pro
===================================================================
--- trunk/SRC/Documentation/xmldoc/idlfiles/tst_initorca05_index.pro	(revision 76)
+++ 	(revision )
@@ -1,32 +1,0 @@
-;
-; definition of the domain on ORCA2 but with i/j index instead of
-; longitude/latitude
-;
-; deferent possibilities are proposed
-;
-; 1) definition with a file
-;
-file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA05.nc'
-initncdf, file, xminmesh = 1, xmaxmesh = -1 $
-          , yminmesh = 0, ymaxmesh = -1, /xyindex $
-          , iodirectory = [iodir, homedir, !path], /recursive
-;
-; 2) definition with the meshmask
-;
-; file = 'micromeshmaskORCA05.nc'
-; initncdf, file, xaxisname = 'glamt', yaxisname = 'gphit' $
-;           , /xyindex, zaxisname = 'gdept' $
-;           , yminmesh = 0, ymaxmesh = -1, xminmesh = 1, xmaxmesh = -1 $
-;           , iodirectory = [iodir, homedir, !path], /recursive
-;
-; 3) by calling directly computegrid
-;
-; if we don't know jpiglo and jpjglo, we call ncdf_meshread with /getdimensions
-; ncdf_meshread, 'micromeshmaskORCA05.nc', /getdimensions $
-;               , iodirectory = [iodir, homedir, !path], /recursive
-;---------------------------------------------------------
-; define the grid parameters
-;---------------------------------------------------------
-; computegrid, 0, 0, 1, 1, jpiglo, jpjglo, xminmesh = 1, xmaxmesh = -1 $
-;              , yminmesh = 0, ymaxmesh = -1, onearth = 0 $
-;              , iodirectory = [iodir, homedir, !path], /recursive
Index: trunk/SRC/Documentation/xmldoc/idlfiles/tst_initorca05_index_stride.pro
===================================================================
--- trunk/SRC/Documentation/xmldoc/idlfiles/tst_initorca05_index_stride.pro	(revision 76)
+++ 	(revision )
@@ -1,32 +1,0 @@
-;
-; definition of the domain on ORCA2 but with i/j index instead of
-; longitude/latitude
-;
-; deferent possibilities are proposed
-;
-; 1) definition with a file
-;
-file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA05.nc'
-initncdf, file, xminmesh = 1, xmaxmesh = -1 $
-          , yminmesh = 0, ymaxmesh = -1, /xyindex, stride = [2, 1, 1] $
-          , iodirectory = [iodir, homedir, !path], /recursive
-;
-; 2) definition with the meshmask
-;
-; file = 'micromeshmaskORCA05.nc'
-; initncdf, file, xaxisname = 'glamt', yaxisname = 'gphit' $
-;           , /xyindex, zaxisname = 'gdept', stride = [2, 1, 1] $
-;           , yminmesh = 0, ymaxmesh = -1, xminmesh = 1, xmaxmesh = -1 $
-;           , iodirectory = [iodir, homedir, !path], /recursive
-;
-; 3) by calling directly computegrid
-;
-; if we don't know jpiglo and jpjglo, we call ncdf_meshread with /getdimensions
-; ncdf_meshread, 'micromeshmaskORCA05.nc', /getdimensions $
-;               , iodirectory = [iodir, homedir, !path], /recursive
-;---------------------------------------------------------
-; define the grid parameters
-;---------------------------------------------------------
-; computegrid, 0, 0, 1, 1, jpiglo, jpjglo, xminmesh = 1, xmaxmesh = -1 $
-;           , yminmesh = 0, ymaxmesh = -1, onearth = 0, stride = [2, 1, 1] $
-;           , iodirectory = [iodir, homedir, !path], /recursive
Index: trunk/SRC/Documentation/xmldoc/idlfiles/tst_initorca05_short.pro
===================================================================
--- trunk/SRC/Documentation/xmldoc/idlfiles/tst_initorca05_short.pro	(revision 76)
+++ 	(revision )
@@ -1,4 +1,0 @@
-file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA05.nc'
-initncdf, file, glamboundary = [20, 380], xminmesh = 1, xmaxmesh = -1 $
-          , yminmesh = 0, ymaxmesh = -1, iodirectory = [iodir, homedir, !path] $
-          , /recursive
Index: trunk/SRC/Documentation/xmldoc/idlfiles/tst_initorca05_short_stride.pro
===================================================================
--- trunk/SRC/Documentation/xmldoc/idlfiles/tst_initorca05_short_stride.pro	(revision 76)
+++ 	(revision )
@@ -1,4 +1,0 @@
-file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA05.nc'
-initncdf, file, glamboundary = [20, 380], xminmesh = 1, xmaxmesh = -1 $
-          , yminmesh = 0, ymaxmesh = -1, iodirectory = [iodir, homedir, !path] $
-          , /recursive, stride = [2, 2, 1]
Index: trunk/SRC/Documentation/xmldoc/idlfiles/tst_initorca05_stride.pro
===================================================================
--- trunk/SRC/Documentation/xmldoc/idlfiles/tst_initorca05_stride.pro	(revision 76)
+++ 	(revision )
@@ -1,42 +1,0 @@
-;
-@cm_4mesh
-@cm_4cal
-@cm_4data
-;----------------------------------------------------------
-; boundaries of the read grid regarding to the original grid
-;----------------------------------------------------------
-ixminmesh  =1
-ixmaxmesh  =720
-;
-iyminmesh  =0
-iymaxmesh  =509
-;
-izminmesh  =-1
-izmaxmesh  =-1
-;
-jpt=1
-time = 0
-;------------------------------------------------------
-;  read the grid
-;------------------------------------------------------
-key_stride = [2, 2, 1]
-ncdf_meshread, 'micromeshmaskORCA05.nc', glamboundary = [20, 380] $
-              , iodirectory = [iodir, homedir, !path], /recursive
-;-------------------------------------------------------------
-domdef
-;
-triangles_list = triangule(/keep_cont)
-;----------------------------------------------------------
-; boundaries of the data regarding to the original grid
-;----------------------------------------------------------
-jpidta = jpiglo
-jpjdta = jpjglo
-jpkdta = jpkglo
-ixmindta = 0
-ixmaxdta = jpidta-1
-iymindta = 0
-iymaxdta = jpjdta-1
-izmindta = 0
-izmaxdta = jpkdta-1
-;----------------------------------------------------------
-@updateold
Index: trunk/SRC/Documentation/xmldoc/idlfiles/tst_initorca2.pro
===================================================================
--- trunk/SRC/Documentation/xmldoc/idlfiles/tst_initorca2.pro	(revision 76)
+++ 	(revision )
@@ -1,42 +1,0 @@
-;
-@cm_4mesh
-@cm_4cal
-@cm_4data
-;---------------------------------------------------------
-; boundaries of the read grid regarding to the original grid
-;----------------------------------------------------------
-ixminmesh  =1
-ixmaxmesh  =180
-;
-iyminmesh  =0
-iymaxmesh  =147
-;
-izminmesh  =-1
-izmaxmesh  =-1
-;
-jpt = 1
-time = 0
-;------------------------------------------------------
-; read the grid
-;------------------------------------------------------
-key_stride = [1, 1, 1]
-ncdf_meshread, 'micromeshmaskORCA2.nc', glamboundary = [20, 380] $
-              , iodirectory = [iodir, homedir, !path], /recursive
-;-------------------------------------------------------------
-domdef
-;
-triangles_list = triangule()
-;----------------------------------------------------------
-; boundaries of the data regarding to the original grid
-;----------------------------------------------------------
-jpidta = jpiglo
-jpjdta = jpjglo
-jpkdta = jpkglo
-ixmindta = 0
-ixmaxdta = jpidta-1
-iymindta = 0
-iymaxdta = jpjdta-1
-izmindta = 0
-izmaxdta = jpkdta-1
-;----------------------------------------------------------
-@updateold
Index: trunk/SRC/Documentation/xmldoc/idlfiles/tst_initorca2_index.pro
===================================================================
--- trunk/SRC/Documentation/xmldoc/idlfiles/tst_initorca2_index.pro	(revision 76)
+++ 	(revision )
@@ -1,33 +1,0 @@
-;
-; definition of the domain on ORCA2 but with i/j index instead of
-; longitude/latitude
-;
-; deferent possibilities are proposed
-;
-;
-; 1) definition with a file
-;
-file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA2.nc'
-initncdf, file, xminmesh = 1, xmaxmesh = -1 $
-          , yminmesh = 0, ymaxmesh = -1, /xyindex $
-          , iodirectory = [iodir, homedir, !path], /recursive
-;
-; 2) definition with the meshmask
-;
-; file = 'micromeshmaskORCA2.nc'
-; initncdf, file, xaxisname = 'glamt', yaxisname = 'gphit' $
-;           , /xyindex, zaxisname = 'gdept' $
-;           , yminmesh = 0, ymaxmesh = -1, xminmesh = 1, xmaxmesh = -1 $
-;           , iodirectory = [iodir, homedir, !path], /recursive
-;
-; 3) by calling directly computegrid
-;
-; if we don't know jpiglo and jpjglo, we call ncdf_meshread with /getdimensions
-; ncdf_meshread, 'micromeshmaskORCA2.nc', /getdimensions $
-;               , iodirectory = [iodir, homedir, !path], /recursive
-;---------------------------------------------------------
-; define the grid parameters
-;---------------------------------------------------------
-; computegrid, 0, 0, 1, 1, jpiglo, jpjglo, xminmesh = 1, xmaxmesh = -1 $
-;              , yminmesh = 0, ymaxmesh = -1, onearth = 0 $
-;              , iodirectory = [iodir, homedir, !path], /recursive
Index: trunk/SRC/Documentation/xmldoc/idlfiles/tst_initorca2_index_stride.pro
===================================================================
--- trunk/SRC/Documentation/xmldoc/idlfiles/tst_initorca2_index_stride.pro	(revision 76)
+++ 	(revision )
@@ -1,33 +1,0 @@
-;
-; definition of the domain on ORCA2 but with i/j index instead of
-; longitude/latitude
-;
-; deferent possibilities are proposed
-;
-;
-; 1) definition with a file
-;
-file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA2.nc'
-initncdf, file, xminmesh = 1, xmaxmesh = -1 $
-          , yminmesh = 0, ymaxmesh = -1, /xyindex, stride = [2, 2, 1] $
-          , iodirectory = [iodir, homedir, !path], /recursive
-;
-; 2) definition with the meshmask
-;
-; file = 'micromeshmaskORCA2.nc'
-; initncdf, file, xaxisname = 'glamt', yaxisname = 'gphit' $
-;           , /xyindex, zaxisname = 'gdept', stride = [2, 2, 1] $
-;           , yminmesh = 0, ymaxmesh = -1, xminmesh = 1, xmaxmesh = -1 $
-;           , iodirectory = [iodir, homedir, !path], /recursive
-;
-; 3) by calling directly computegrid
-;
-; if we don't know jpiglo and jpjglo, we call ncdf_meshread with /getdimensions
-; ncdf_meshread, 'micromeshmaskORCA2.nc', /getdimensions $
-;               , iodirectory = [iodir, homedir, !path], /recursive
-;---------------------------------------------------------
-; define the grid parameters
-;---------------------------------------------------------
-; computegrid, 0, 0, 1, 1, jpiglo, jpjglo, xminmesh = 1, xmaxmesh = -1 $
-;           , yminmesh = 0, ymaxmesh = -1, onearth = 0, stride = [2, 2, 1] $
-;           , iodirectory = [iodir, homedir, !path], /recursive
Index: trunk/SRC/Documentation/xmldoc/idlfiles/tst_initorca2_short.pro
===================================================================
--- trunk/SRC/Documentation/xmldoc/idlfiles/tst_initorca2_short.pro	(revision 76)
+++ 	(revision )
@@ -1,5 +1,0 @@
-file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA2.nc'
-initncdf, file, glamboundary = [20, 380], xminmesh = 1, xmaxmesh = 180 $
-          , yminmesh = 0, ymaxmesh = 147, iodirectory = [iodir, homedir, !path] $
-          , /recursive
-
Index: trunk/SRC/Documentation/xmldoc/idlfiles/tst_initorca2_short_stride.pro
===================================================================
--- trunk/SRC/Documentation/xmldoc/idlfiles/tst_initorca2_short_stride.pro	(revision 76)
+++ 	(revision )
@@ -1,5 +1,0 @@
-file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA2.nc'
-initncdf, file, glamboundary = [20, 380], xminmesh = 1, xmaxmesh = 180 $
-          , yminmesh = 0, ymaxmesh = 147, iodirectory = [iodir, homedir, !path] $
-          , /recursive, stride = [2, 2, 1]
-
Index: trunk/SRC/Documentation/xmldoc/idlfiles/tst_initorca2_stride.pro
===================================================================
--- trunk/SRC/Documentation/xmldoc/idlfiles/tst_initorca2_stride.pro	(revision 76)
+++ 	(revision )
@@ -1,42 +1,0 @@
-;
-@cm_4mesh
-@cm_4cal
-@cm_4data
-;---------------------------------------------------------
-; boundaries of the read grid regarding to the original grid
-;----------------------------------------------------------
-ixminmesh  =1
-ixmaxmesh  =180
-;
-iyminmesh  =0
-iymaxmesh  =147
-;
-izminmesh  =-1
-izmaxmesh  =-1
-;
-jpt = 1
-time = 0
-;------------------------------------------------------
-; read the grid
-;------------------------------------------------------
-key_stride = [2, 2, 1]
-ncdf_meshread, 'micromeshmaskORCA2.nc', glamboundary = [20, 380] $
-              , iodirectory = [iodir, homedir, !path], /recursive
-;-------------------------------------------------------------
-domdef
-;
-triangles_list = triangule()
-;----------------------------------------------------------
-; boundaries of the data regarding to the original grid
-;----------------------------------------------------------
-jpidta = jpiglo
-jpjdta = jpjglo
-jpkdta = jpkglo
-ixmindta = 0
-ixmaxdta = jpidta-1
-iymindta = 0
-iymaxdta = jpjdta-1
-izmindta = 0
-izmaxdta = jpkdta-1
-;----------------------------------------------------------
-@updateold
Index: trunk/SRC/Documentation/xmldoc/idlfiles/tst_plt.pro
===================================================================
--- trunk/SRC/Documentation/xmldoc/idlfiles/tst_plt.pro	(revision 76)
+++ 	(revision )
@@ -1,85 +1,0 @@
-PRO tst_plt, IMAGE = image
-; commons
-@cm_4mesh
-;
-; figure 2: regular grid
-;
-  CASE jpi*key_stride[0]+jpj*key_stride[1] OF
-    180+148:file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA2.nc'
-    360+180:file = 'Levitus98_1m_01_12_Temperature_Pot_1x1.nc'
-    720+510:file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA05.nc'
-  ENDCASE
-  file = isafile(file, iodirectory = [iodir, homedir, !path] $
-                 , title = 'Where is '+file+' ?', /recursive)
-  IF size(file, /type) NE 7 THEN return
-;
-  dummy = ''
-  cnt = 1
-;
-  domdef
-  domdef, gdept[0], gdept[0], gridtype = 'T'
-  temp = read_ncdf('votemper', 10101, 10131, file = file)
-;
-  plt, temp, /landscape
-  if keyword_set(image) then saveimage, 'tst_plt_'+image+'_'+string(cnt, format='(i2.2)')+'.png', /png $
-  ELSE read, dummy,  prompt = 'press return for the next plot'
-  cnt = cnt + 1
-;
-  plt, temp, -2, 31, int = .5, /nocontour, format = '(i3)'
-  if keyword_set(image) then saveimage, 'tst_plt_'+image+'_'+string(cnt, format='(i2.2)')+'.png', /png $
-  ELSE read, dummy,  prompt = 'press return for the next plot'
-  cnt = cnt + 1
-;
-  plt, temp, -2, 31, int = 1, /color_c
-  if keyword_set(image) then saveimage, 'tst_plt_'+image+'_'+string(cnt, format='(i2.2)')+'.png', /png $
-  ELSE read, dummy,  prompt = 'press return for the next plot'
-  cnt = cnt + 1
-;
-  plt, temp, -2, 31, int = 1, /nofill, c_thick = 1, coast_thick = 2
-  if keyword_set(image) then saveimage, 'tst_plt_'+image+'_'+string(cnt, format='(i2.2)')+'.png', /png $
-  ELSE read, dummy,  prompt = 'press return for the next plot'
-  cnt = cnt + 1
-;
-  plt, temp, cell_fill = 1 + (jpi EQ 180) ; we must use cell_fill = 2 for ORCA2
-  if keyword_set(image) then saveimage, 'tst_plt_'+image+'_'+string(cnt, format='(i2.2)')+'.png', /png $
-  ELSE read, dummy,  prompt = 'press return for the next plot'
-  cnt = cnt + 1
-; zoom
-  IF key_onearth THEN box = [40, 375, -20, 20] $
-  ELSE box = [jpi/4, 3*jpi/4, jpj/4, 3*jpj/4] 
-  plt, temp, boxzoom = box, /landscape
-  if keyword_set(image) then saveimage, 'tst_plt_'+image+'_'+string(cnt, format='(i2.2)')+'.png', /png $
-  ELSE read, dummy,  prompt = 'press return for the next plot'
-  cnt = cnt + 1
-
-; projections
-  IF key_onearth THEN BEGIN
-; 
-    plt, temp, boxzoom = [20, 380, 60, 90], /stereo, map = [90, 0, 0], /portrait
-    if keyword_set(image) then saveimage, 'tst_plt_'+image+'_'+string(cnt, format='(i2.2)')+'.png', /png $
-    ELSE read, dummy,  prompt = 'press return for the next plot'
-    cnt = cnt + 1
-;
-    plt, temp, boxzoom = [20, 380, -90, 50], /ortho, map = [-90, 180, 0], /portrait
-    if keyword_set(image) then saveimage, 'tst_plt_'+image+'_'+string(cnt, format='(i2.2)')+'.png', /png $
-    ELSE read, dummy,  prompt = 'press return for the next plot'
-    cnt = cnt + 1
-;
-    plt, temp, /ortho, map = [0, 0, 21], /portrait, /realcont
-    if keyword_set(image) then saveimage, 'tst_plt_'+image+'_'+string(cnt, format='(i2.2)')+'.png', /png $
-    ELSE read, dummy,  prompt = 'press return for the next plot'
-    cnt = cnt + 1
-;
-  ENDIF
-
-; deep plot
-; domdef, 150, 150 ; => warning message
-  domdef, gdept[jpk/2], gdept[jpk/2], gridtype = 'T'
-  temp = read_ncdf('votemper', 10101, 10131, file = file)
-  plt, temp, realcont = 2*(key_onearth), /land
-  if keyword_set(image) then saveimage, 'tst_plt_'+image+'_'+string(cnt, format='(i2.2)')+'.png', /png
-  cnt = cnt + 1
-
-
-  return
-end
Index: trunk/SRC/Documentation/xmldoc/idlfiles/tst_pltt.pro
===================================================================
--- trunk/SRC/Documentation/xmldoc/idlfiles/tst_pltt.pro	(revision 76)
+++ 	(revision )
@@ -1,84 +1,0 @@
-PRO tst_pltt, IMAGE = image
-; commons
-@cm_4mesh
-@cm_4cal
-;
-; figure 2: regular grid
-;
-  CASE jpi*key_stride[0]+jpj*key_stride[1] OF
-    180+148:file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA2.nc'
-    360+180:file = 'Levitus98_1m_01_12_Temperature_Pot_1x1.nc'
-    720+510:file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA05.nc'
-  ENDCASE
-  file = isafile(file, iodirectory = [iodir, homedir, !path] $
-                 , title = 'Where is '+file+' ?', /recursive)
-  IF size(file, /type) NE 7 THEN return
-;
-  dummy = ''
-  cnt = 1
-;
-; -1/1 xt plot
-;
-  IF key_onearth THEN domdef, 20, 380, -1, 1, 0, gdept[0] $
-  ELSE domdef, min(glamt), max(glamf), jpj/2-1, jpj/2+1, 0, gdept[0]
-;
-  temp = read_ncdf('votemper', 10101, 11231, file = file)
-  IF key_forgetold THEN help, temp.arr ELSE help, temp.tab
-  help, jpt, time
-  pltt, temp
-  if keyword_set(image) then saveimage, 'tst_pltt_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
-  ELSE read, dummy,  prompt = 'press return for the next plot'
-  cnt = cnt + 1
-;
-  pltt, temp, /nocontour
-  if keyword_set(image) then saveimage, 'tst_pltt_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
-  ELSE read, dummy,  prompt = 'press return for the next plot'
-  cnt = cnt + 1
-;
-  pltt, temp, /color_c
-  if keyword_set(image) then saveimage, 'tst_pltt_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
-  ELSE read, dummy,  prompt = 'press return for the next plot'
-  cnt = cnt + 1
-;
-  pltt, temp, /nofill
-  if keyword_set(image) then saveimage, 'tst_pltt_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
-  ELSE read, dummy,  prompt = 'press return for the next plot'
-  cnt = cnt + 1
-;
-; equatorial plot
-;
-  IF key_onearth THEN BEGIN 
-    a = abs(gphit[0, *])
-    yind = where(a EQ min(a))
-    domdef, 20, 380, yind[0], yind[n_elements(yind)-1] $
-      , gdept[10 < (jpk-1)], gdept[10 < (jpk-1)], gridtype = 'T', /yindex
-  ENDIF ELSE BEGIN 
-    domdef, min(glamt), max(glamf), jpj/2, jpj/2 $
-      , gdept[10 < (jpk-1)], gdept[10 < (jpk-1)], gridtype = 'T', /yindex
-  ENDELSE 
-  temp = read_ncdf('votemper', 10101, 11231, file = file)
-  IF key_forgetold THEN help, temp.arr ELSE help, temp.tab
-  pltt, temp
-  if keyword_set(image) then saveimage, 'tst_pltt_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
-  ELSE read, dummy,  prompt = 'press return for the next plot'
-  cnt = cnt + 1
-;
-; yt plot along the column that contain the largest latitude
-;
-  IF key_onearth THEN BEGIN 
-    ind = where(gphit EQ max(gphit))
-    ind = ind[0] MOD jpi
-    domdef, ind, ind, -90, 90, gdept[0], gdept[0], gridtype = 'T', /xindex
-  ENDIF ELSE BEGIN 
-    domdef, jpi/2, jpi/2, min(gphit), max(gphif), gdept[0], gdept[0], gridtype = 'T', /xindex
-  ENDELSE 
-
-  temp = read_ncdf('votemper', 10101, 11231, file = file)
-  IF key_forgetold THEN help, temp.arr ELSE help, temp.tab
-  pltt, temp
-
-  if keyword_set(image) then saveimage, 'tst_pltt_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png
-  cnt = cnt + 1
-
-  return
-end
Index: trunk/SRC/Documentation/xmldoc/idlfiles/tst_pltz.pro
===================================================================
--- trunk/SRC/Documentation/xmldoc/idlfiles/tst_pltz.pro	(revision 76)
+++ 	(revision )
@@ -1,127 +1,0 @@
-PRO tst_pltz, IMAGE = image
-; commons
-@cm_4mesh
-;
-  IF jpk EQ 1 THEN return
-;
-  dummy = ''
-  cnt = 1
-;
-  CASE jpi*key_stride[0]+jpj*key_stride[1] OF
-    180+148:file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA2.nc'
-    360+180:file = 'Levitus98_1m_01_12_Temperature_Pot_1x1.nc'
-    720+510:file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA05.nc'
-  ENDCASE
-  file = isafile(file, iodirectory = [iodir, homedir, !path] $
-                 , title = 'Where is '+file+' ?', /recursive)
-  IF size(file, /type) NE 7 THEN return
-;
-  IF key_onearth THEN domdef, 20, 380, -1, 1, 0, max(gdept) $
-  ELSE domdef, min(glamt), max(glamf), jpj/2-1, jpj/2+1, 0, max(gdept)
-;
-  temp = read_ncdf('votemper', 10101, 10131, file = file)
-  IF key_forgetold THEN help, temp.arr ELSE help, temp.tab
-; 
-  pltz, temp, /portrait
-  if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
-  ELSE read, dummy,  prompt = 'press return for the next plot'
-  cnt = cnt + 1
-;
-  pltz, temp, /portrait, /nocontour
-  if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
-  ELSE read, dummy,  prompt = 'press return for the next plot'
-  cnt = cnt + 1
-;
-  pltz, temp, /portrait, /color_c
-  if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
-  ELSE read, dummy,  prompt = 'press return for the next plot'
-  cnt = cnt + 1
-;
-  pltz, temp, /portrait, /nofill
-  if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
-  ELSE read, dummy,  prompt = 'press return for the next plot'
-  cnt = cnt + 1
-;
-  pltz, temp, boxzoom = [6000]
-  if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
-  ELSE read, dummy,  prompt = 'press return for the next plot'
-  cnt = cnt + 1
-                                ;
-  pltz, temp, boxzoom = [6000], zoom = 1000
-  if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
-  ELSE read, dummy,  prompt = 'press return for the next plot'
-  cnt = cnt + 1
-;
-  pltz, temp, boxzoom = [6000], zoom = 1000, yxaspect = 2
-  if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
-  ELSE read, dummy,  prompt = 'press return for the next plot'
-  cnt = cnt + 1
-;
-  pltz, temp, boxzoom = [6000], zoom = 1000, yxaspect = 2, zratio = .5
-  if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
-  ELSE read, dummy,  prompt = 'press return for the next plot'
-  cnt = cnt + 1
-;
-; yt plot along the column that contain the largest latitude
-;
-  IF key_onearth THEN BEGIN 
-    ind = where(gphit EQ max(gphit))
-    ind = ind[0] MOD jpi
-    domdef, ind, ind, -90, 90, 0, max(gdept), gridtype = 'T', /xindex
-  ENDIF ELSE BEGIN 
-    domdef, jpi/2, jpi/2, min(gphit), max(gphif), 0, max(gdept), gridtype = 'T', /xindex
-  ENDELSE 
-
-  temp = read_ncdf('votemper', 10101, 11231, file = file)
-  pltz, temp, boxzoom = [6000], zoom = 1000, yxaspect = 2, zratio = .5
-  if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
-  ELSE read, dummy,  prompt = 'press return for the next plot'
-  cnt = cnt + 1
-;
-; oblique sections...
-;
-  IF key_onearth THEN endpoints = [110, -45, 290, 45] $
-  ELSE endpoints = [jpi/6, jpj/3, 5*jpi/6, 2*jpj/3]
-  domdef, endpoints = endpoints, type = 'pltz'
-  temp = read_ncdf('votemper', 10101, 10131, file = file)
-  pltz, temp, endpoints = endpoints
-  if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
-  ELSE read, dummy,  prompt = 'press return for the next plot'
-  cnt = cnt + 1
-;
-; false oblique sections...
-;
-  IF key_onearth THEN endpoints = [180, -70, 180, 90] $
-  ELSE endpoints = [jpi/2+0.25, +0.25, jpi/2+0.25,  jpj]
-  domdef, 6000, endpoints = endpoints, type = 'pltz'
-  temp = read_ncdf('votemper', 10101, 10131, file = file)
-  pltz, temp, endpoints = endpoints, boxzoom = [6000] $
-        , zoom = 1000, yxaspect = 2, zratio = .5 ; , /showbuild
-  if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
-  ELSE read, dummy,  prompt = 'press return for the next plot'
-  cnt = cnt + 1
-;
-; comparison between real section and false oblique sections
-;
-  IF (where(gphit EQ 0))[0] NE -1 THEN BEGIN 
-    IF key_onearth THEN box = [20, 380, 0, 0, 0, 6000] $
-    ELSE box = [0, jpi-1, jpj/2, jpj/2, 0, 6000]
-    domdef, box, gridtype = 'T'
-    temp = read_ncdf('votemper', 10101, 10131, file = file)
-    pltz, temp, boxzoom = [6000], /portrait, small = [1, 2, 1] $
-          , zoom = 500, zratio = .5
-    
-    IF key_onearth THEN endpoints = [20, 0, 380, 0] $
-    ELSE endpoints = [0, jpj/2, jpi-1, jpj/2]
-    domdef, 6000, endpoints = endpoints, type = 'pltz', gridtype = 'T'
-    temp = read_ncdf('votemper', 10101, 10131, file = file)
-    pltz, temp, endpoints = endpoints, boxzoom = [6000] $
-          , zoom = 500, zratio = .5 $
-          , small = [1, 2, 2], /noerase
-    
-    if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png
-    cnt = cnt + 1
-  ENDIF 
-  
-  return
-end
Index: trunk/SRC/Tests/TestsOld/tst_initlev_index_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initlev_index_old.pro	(revision 76)
+++ trunk/SRC/Tests/TestsOld/tst_initlev_index_old.pro	(revision 77)
@@ -1,4 +1,3 @@
 file = 'Levitus98_1m_01_12_Temperature_Pot_1x1.nc'
 initncdf, file, glamboundary = [20, 380], useasmask = 'votemper' $
-          , missing_value = 31.0720, iodirectory = [iodir, homedir, !path] $
-          , /recursive, /xyindex
+          , missing_value = 31.0720, /lookalldir, /xyindex
Index: trunk/SRC/Tests/TestsOld/tst_initlev_index_stride_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initlev_index_stride_old.pro	(revision 76)
+++ trunk/SRC/Tests/TestsOld/tst_initlev_index_stride_old.pro	(revision 77)
@@ -1,4 +1,3 @@
 file = 'Levitus98_1m_01_12_Temperature_Pot_1x1.nc'
 initncdf, file, glamboundary = [20, 380], useasmask = 'votemper' $
-          , missing_value = 31.0720, iodirectory = [iodir, homedir, !path] $
-          , /recursive, /xyindex, stride = [2, 2, 1]
+          , missing_value = 31.0720, /lookalldir, /xyindex, stride = [2, 2, 1]
Index: trunk/SRC/Tests/TestsOld/tst_initlev_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initlev_old.pro	(revision 76)
+++ trunk/SRC/Tests/TestsOld/tst_initlev_old.pro	(revision 77)
@@ -1,4 +1,3 @@
 file = 'Levitus98_1m_01_12_Temperature_Pot_1x1.nc'
 initncdf, file, glamboundary = [20, 380], useasmask = 'votemper' $
-          , missing_value = 31.0720, iodirectory = [iodir, homedir, !path] $
-          , /recursive
+          , missing_value = 31.0720, /lookalldir
Index: trunk/SRC/Tests/TestsOld/tst_initlev_stride_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initlev_stride_old.pro	(revision 76)
+++ trunk/SRC/Tests/TestsOld/tst_initlev_stride_old.pro	(revision 77)
@@ -1,4 +1,3 @@
 file = 'Levitus98_1m_01_12_Temperature_Pot_1x1.nc'
 initncdf, file, glamboundary = [20, 380], useasmask = 'votemper' $
-          , missing_value = 31.0720, iodirectory = [iodir, homedir, !path] $
-          , /recursive, stride = [2, 2, 1]
+          , missing_value = 31.0720, /lookalldir, stride = [2, 2, 1]
Index: trunk/SRC/Tests/TestsOld/tst_initorca05_index_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initorca05_index_old.pro	(revision 76)
+++ trunk/SRC/Tests/TestsOld/tst_initorca05_index_old.pro	(revision 77)
@@ -10,5 +10,5 @@
 initncdf, file, xminmesh = 1, xmaxmesh = -1 $
           , yminmesh = 0, ymaxmesh = -1, /xyindex $
-          , iodirectory = [iodir, homedir, !path], /recursive
+          , /lookalldir
 ;
 ; 2) definition with the meshmask
@@ -18,5 +18,5 @@
 ;           , /xyindex, zaxisname = 'gdept' $
 ;           , yminmesh = 0, ymaxmesh = -1, xminmesh = 1, xmaxmesh = -1 $
-;           , iodirectory = [iodir, homedir, !path], /recursive
+;           , /lookalldir
 ;
 ; 3) by calling directly computegrid
@@ -30,3 +30,3 @@
 ; computegrid, 0, 0, 1, 1, jpiglo, jpjglo, xminmesh = 1, xmaxmesh = -1 $
 ;              , yminmesh = 0, ymaxmesh = -1, onearth = 0 $
-;              , iodirectory = [iodir, homedir, !path], /recursive
+;              , /lookalldir
Index: trunk/SRC/Tests/TestsOld/tst_initorca05_index_stride_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initorca05_index_stride_old.pro	(revision 76)
+++ trunk/SRC/Tests/TestsOld/tst_initorca05_index_stride_old.pro	(revision 77)
@@ -10,5 +10,5 @@
 initncdf, file, xminmesh = 1, xmaxmesh = -1 $
           , yminmesh = 0, ymaxmesh = -1, /xyindex, stride = [2, 1, 1] $
-          , iodirectory = [iodir, homedir, !path], /recursive
+          , /lookalldir
 ;
 ; 2) definition with the meshmask
@@ -18,5 +18,5 @@
 ;           , /xyindex, zaxisname = 'gdept', stride = [2, 1, 1] $
 ;           , yminmesh = 0, ymaxmesh = -1, xminmesh = 1, xmaxmesh = -1 $
-;           , iodirectory = [iodir, homedir, !path], /recursive
+;           , /lookalldir
 ;
 ; 3) by calling directly computegrid
@@ -30,3 +30,3 @@
 ; computegrid, 0, 0, 1, 1, jpiglo, jpjglo, xminmesh = 1, xmaxmesh = -1 $
 ;           , yminmesh = 0, ymaxmesh = -1, onearth = 0, stride = [2, 1, 1] $
-;           , iodirectory = [iodir, homedir, !path], /recursive
+;           , /lookalldir
Index: trunk/SRC/Tests/TestsOld/tst_initorca05_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initorca05_old.pro	(revision 76)
+++ trunk/SRC/Tests/TestsOld/tst_initorca05_old.pro	(revision 77)
@@ -21,6 +21,6 @@
 ;------------------------------------------------------
 key_stride = [1, 1, 1]
-ncdf_meshread, 'micromeshmaskORCA05.nc', glamboundary = [20, 380] $
-              , iodirectory = [iodir, homedir, !path], /recursive
+ncdf_meshread, 'micromeshmaskORCA05.nc' $
+               , glamboundary = [20, 380], /lookalldir
 ;-------------------------------------------------------------
 domdef
Index: trunk/SRC/Tests/TestsOld/tst_initorca05_short_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initorca05_short_old.pro	(revision 76)
+++ trunk/SRC/Tests/TestsOld/tst_initorca05_short_old.pro	(revision 77)
@@ -1,4 +1,3 @@
 file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA05.nc'
 initncdf, file, glamboundary = [20, 380], xminmesh = 1, xmaxmesh = -1 $
-          , yminmesh = 0, ymaxmesh = -1, iodirectory = [iodir, homedir, !path] $
-          , /recursive
+          , yminmesh = 0, ymaxmesh = -1, /lookalldir
Index: trunk/SRC/Tests/TestsOld/tst_initorca05_short_stride_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initorca05_short_stride_old.pro	(revision 76)
+++ trunk/SRC/Tests/TestsOld/tst_initorca05_short_stride_old.pro	(revision 77)
@@ -1,4 +1,3 @@
 file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA05.nc'
 initncdf, file, glamboundary = [20, 380], xminmesh = 1, xmaxmesh = -1 $
-          , yminmesh = 0, ymaxmesh = -1, iodirectory = [iodir, homedir, !path] $
-          , /recursive, stride = [2, 2, 1]
+          , yminmesh = 0, ymaxmesh = -1, /lookalldir, stride = [2, 2, 1]
Index: trunk/SRC/Tests/TestsOld/tst_initorca05_stride_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initorca05_stride_old.pro	(revision 76)
+++ trunk/SRC/Tests/TestsOld/tst_initorca05_stride_old.pro	(revision 77)
@@ -21,6 +21,6 @@
 ;------------------------------------------------------
 key_stride = [2, 2, 1]
-ncdf_meshread, 'micromeshmaskORCA05.nc', glamboundary = [20, 380] $
-              , iodirectory = [iodir, homedir, !path], /recursive
+ncdf_meshread, 'micromeshmaskORCA05.nc' $
+               , glamboundary = [20, 380], /lookalldir
 ;-------------------------------------------------------------
 domdef
Index: trunk/SRC/Tests/TestsOld/tst_initorca2_index_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initorca2_index_old.pro	(revision 76)
+++ trunk/SRC/Tests/TestsOld/tst_initorca2_index_old.pro	(revision 77)
@@ -11,5 +11,5 @@
 initncdf, file, xminmesh = 1, xmaxmesh = -1 $
           , yminmesh = 0, ymaxmesh = -1, /xyindex $
-          , iodirectory = [iodir, homedir, !path], /recursive
+          , /lookalldir
 ;
 ; 2) definition with the meshmask
@@ -19,5 +19,5 @@
 ;           , /xyindex, zaxisname = 'gdept' $
 ;           , yminmesh = 0, ymaxmesh = -1, xminmesh = 1, xmaxmesh = -1 $
-;           , iodirectory = [iodir, homedir, !path], /recursive
+;           , /lookalldir
 ;
 ; 3) by calling directly computegrid
@@ -31,3 +31,3 @@
 ; computegrid, 0, 0, 1, 1, jpiglo, jpjglo, xminmesh = 1, xmaxmesh = -1 $
 ;              , yminmesh = 0, ymaxmesh = -1, onearth = 0 $
-;              , iodirectory = [iodir, homedir, !path], /recursive
+;              , /lookalldir
Index: trunk/SRC/Tests/TestsOld/tst_initorca2_index_stride_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initorca2_index_stride_old.pro	(revision 76)
+++ trunk/SRC/Tests/TestsOld/tst_initorca2_index_stride_old.pro	(revision 77)
@@ -11,5 +11,5 @@
 initncdf, file, xminmesh = 1, xmaxmesh = -1 $
           , yminmesh = 0, ymaxmesh = -1, /xyindex, stride = [2, 2, 1] $
-          , iodirectory = [iodir, homedir, !path], /recursive
+          , /lookalldir
 ;
 ; 2) definition with the meshmask
@@ -19,5 +19,5 @@
 ;           , /xyindex, zaxisname = 'gdept', stride = [2, 2, 1] $
 ;           , yminmesh = 0, ymaxmesh = -1, xminmesh = 1, xmaxmesh = -1 $
-;           , iodirectory = [iodir, homedir, !path], /recursive
+;           , /lookalldir
 ;
 ; 3) by calling directly computegrid
@@ -31,3 +31,3 @@
 ; computegrid, 0, 0, 1, 1, jpiglo, jpjglo, xminmesh = 1, xmaxmesh = -1 $
 ;           , yminmesh = 0, ymaxmesh = -1, onearth = 0, stride = [2, 2, 1] $
-;           , iodirectory = [iodir, homedir, !path], /recursive
+;           , /lookalldir
Index: trunk/SRC/Tests/TestsOld/tst_initorca2_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initorca2_old.pro	(revision 76)
+++ trunk/SRC/Tests/TestsOld/tst_initorca2_old.pro	(revision 77)
@@ -21,6 +21,6 @@
 ;------------------------------------------------------
 key_stride = [1, 1, 1]
-ncdf_meshread, 'micromeshmaskORCA2.nc', glamboundary = [20, 380] $
-              , iodirectory = [iodir, homedir, !path], /recursive
+ncdf_meshread, 'micromeshmaskORCA2.nc' $
+               , glamboundary = [20, 380], /lookalldir
 ;-------------------------------------------------------------
 domdef
Index: trunk/SRC/Tests/TestsOld/tst_initorca2_short_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initorca2_short_old.pro	(revision 76)
+++ trunk/SRC/Tests/TestsOld/tst_initorca2_short_old.pro	(revision 77)
@@ -1,5 +1,4 @@
 file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA2.nc'
 initncdf, file, glamboundary = [20, 380], xminmesh = 1, xmaxmesh = 180 $
-          , yminmesh = 0, ymaxmesh = 147, iodirectory = [iodir, homedir, !path] $
-          , /recursive
+          , yminmesh = 0, ymaxmesh = 147, /lookalldir
 
Index: trunk/SRC/Tests/TestsOld/tst_initorca2_short_stride_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initorca2_short_stride_old.pro	(revision 76)
+++ trunk/SRC/Tests/TestsOld/tst_initorca2_short_stride_old.pro	(revision 77)
@@ -1,5 +1,4 @@
 file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA2.nc'
 initncdf, file, glamboundary = [20, 380], xminmesh = 1, xmaxmesh = 180 $
-          , yminmesh = 0, ymaxmesh = 147, iodirectory = [iodir, homedir, !path] $
-          , /recursive, stride = [2, 2, 1]
+          , yminmesh = 0, ymaxmesh = 147, /lookalldir, stride = [2, 2, 1]
 
Index: trunk/SRC/Tests/TestsOld/tst_initorca2_stride_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initorca2_stride_old.pro	(revision 76)
+++ trunk/SRC/Tests/TestsOld/tst_initorca2_stride_old.pro	(revision 77)
@@ -21,6 +21,6 @@
 ;------------------------------------------------------
 key_stride = [2, 2, 1]
-ncdf_meshread, 'micromeshmaskORCA2.nc', glamboundary = [20, 380] $
-              , iodirectory = [iodir, homedir, !path], /recursive
+ncdf_meshread, 'micromeshmaskORCA2.nc' $
+               , glamboundary = [20, 380], /lookalldir
 ;-------------------------------------------------------------
 domdef
Index: trunk/SRC/Tests/TestsOld/tst_plt_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_plt_old.pro	(revision 76)
+++ trunk/SRC/Tests/TestsOld/tst_plt_old.pro	(revision 77)
@@ -10,6 +10,5 @@
     720+510:file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA05.nc'
   ENDCASE
-  file = isafile(file, iodirectory = [iodir, homedir, !path] $
-                 , title = 'Where is '+file+' ?', /recursive)
+  file = isafile(file, title = 'Where is '+file+' ?', /lookalldir)
   IF size(file, /type) NE 7 THEN return
 ;
@@ -19,5 +18,5 @@
   domdef
   domdef, gdept[0], gdept[0], grille = 'T'
-  temp = read_ncdf('votemper', 10101, 10131, file = file)
+  temp = read_ncdf('votemper', 00101, 00131, file = file)
 ;
   plt, temp, /landscape
@@ -76,5 +75,5 @@
 ; domdef, 150, 150 ; => warning message
   domdef, gdept[jpk/2], gdept[jpk/2], grille = 'T'
-  temp = read_ncdf('votemper', 10101, 10131, file = file)
+  temp = read_ncdf('votemper', 00101, 00131, file = file)
   plt, temp, carte = 2*(key_onearth), /land
   if keyword_set(image) then saveimage, 'tst_plt_'+image+'_'+string(cnt, format='(i2.2)')+'.png', /png
Index: trunk/SRC/Tests/TestsOld/tst_pltt_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_pltt_old.pro	(revision 76)
+++ trunk/SRC/Tests/TestsOld/tst_pltt_old.pro	(revision 77)
@@ -11,6 +11,5 @@
     720+510:file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA05.nc'
   ENDCASE
-  file = isafile(file, iodirectory = [iodir, homedir, !path] $
-                 , title = 'Where is '+file+' ?', /recursive)
+  file = isafile(file, title = 'Where is '+file+' ?', /lookalldir)
   IF size(file, /type) NE 7 THEN return
 ;
@@ -23,5 +22,5 @@
   ELSE domdef, min(glamt), max(glamf), jpj/2-1, jpj/2+1, 0, gdept[0]
 ;
-  temp = read_ncdf('votemper', 10101, 11231, file = file)
+  temp = read_ncdf('votemper', 00101, 01231, file = file)
   IF key_forgetold THEN help, temp.arr ELSE help, temp.tab
   help, jpt, time
@@ -57,5 +56,5 @@
       , gdept[10 < (jpk-1)], gdept[10 < (jpk-1)], grille = 'T', /yindex
   ENDELSE 
-  temp = read_ncdf('votemper', 10101, 11231, file = file)
+  temp = read_ncdf('votemper', 00101, 01231, file = file)
   IF key_forgetold THEN help, temp.arr ELSE help, temp.tab
   pltt, temp
@@ -74,5 +73,5 @@
   ENDELSE 
 
-  temp = read_ncdf('votemper', 10101, 11231, file = file)
+  temp = read_ncdf('votemper', 00101, 01231, file = file)
   IF key_forgetold THEN help, temp.arr ELSE help, temp.tab
   pltt, temp
Index: trunk/SRC/Tests/TestsOld/tst_pltz_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_pltz_old.pro	(revision 76)
+++ trunk/SRC/Tests/TestsOld/tst_pltz_old.pro	(revision 77)
@@ -13,6 +13,5 @@
     720+510:file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA05.nc'
   ENDCASE
-  file = isafile(file, iodirectory = [iodir, homedir, !path] $
-                 , title = 'Where is '+file+' ?', /recursive)
+  file = isafile(file, title = 'Where is '+file+' ?', /lookalldir)
   IF size(file, /type) NE 7 THEN return
 ;
@@ -20,5 +19,5 @@
   ELSE domdef, min(glamt), max(glamf), jpj/2-1, jpj/2+1, 0, max(gdept)
 ;
-  temp = read_ncdf('votemper', 10101, 10131, file = file)
+  temp = read_ncdf('votemper', 00101, 00131, file = file)
   IF key_forgetold THEN help, temp.arr ELSE help, temp.tab
 ; 
@@ -73,5 +72,5 @@
   ENDELSE 
 
-  temp = read_ncdf('votemper', 10101, 11231, file = file)
+  temp = read_ncdf('votemper', 00101, 01231, file = file)
   pltz, temp, boite = [6000], zoom = 1000, ysurx = 2, hzsurht = .5
   if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
@@ -84,5 +83,5 @@
   ELSE endpoints = [jpi/6, jpj/3, 5*jpi/6, 2*jpj/3]
   domdef, endpoints = endpoints, type = 'pltz'
-  temp = read_ncdf('votemper', 10101, 10131, file = file)
+  temp = read_ncdf('votemper', 00101, 00131, file = file)
   pltz, temp, endpoints = endpoints
   if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
@@ -95,5 +94,5 @@
   ELSE endpoints = [jpi/2+0.25, +0.25, jpi/2+0.25,  jpj]
   domdef, 6000, endpoints = endpoints, type = 'pltz'
-  temp = read_ncdf('votemper', 10101, 10131, file = file)
+  temp = read_ncdf('votemper', 00101, 00131, file = file)
   pltz, temp, endpoints = endpoints, boite = [6000] $
         , zoom = 1000, ysurx = 2, hzsurht = .5 ; , /showbuild
@@ -108,5 +107,5 @@
     ELSE box = [0, jpi-1, jpj/2, jpj/2, 0, 6000]
     domdef, box, grille = 'T'
-    temp = read_ncdf('votemper', 10101, 10131, file = file)
+    temp = read_ncdf('votemper', 00101, 00131, file = file)
     pltz, temp, boite = [6000], /portrait, petit = [1, 2, 1] $
           , zoom = 500, hzsurht = .5
@@ -115,5 +114,5 @@
     ELSE endpoints = [0, jpj/2, jpi-1, jpj/2]
     domdef, 6000, endpoints = endpoints, type = 'pltz', grille = 'T'
-    temp = read_ncdf('votemper', 10101, 10131, file = file)
+    temp = read_ncdf('votemper', 00101, 00131, file = file)
     pltz, temp, endpoints = endpoints, boite = [6000] $
           , zoom = 500, hzsurht = .5 $
Index: trunk/SRC/Tests/tst_initlev.pro
===================================================================
--- trunk/SRC/Tests/tst_initlev.pro	(revision 76)
+++ trunk/SRC/Tests/tst_initlev.pro	(revision 77)
@@ -1,4 +1,3 @@
 file = 'Levitus98_1m_01_12_Temperature_Pot_1x1.nc'
 initncdf, file, glamboundary = [20, 380], useasmask = 'votemper' $
-          , missing_value = 31.0720, iodirectory = [iodir, homedir, !path] $
-          , /recursive
+          , missing_value = 31.0720, /lookalldir
Index: trunk/SRC/Tests/tst_initlev_index.pro
===================================================================
--- trunk/SRC/Tests/tst_initlev_index.pro	(revision 76)
+++ trunk/SRC/Tests/tst_initlev_index.pro	(revision 77)
@@ -1,4 +1,3 @@
 file = 'Levitus98_1m_01_12_Temperature_Pot_1x1.nc'
 initncdf, file, glamboundary = [20, 380], useasmask = 'votemper' $
-          , missing_value = 31.0720, iodirectory = [iodir, homedir, !path] $
-          , /recursive, /xyindex
+          , missing_value = 31.0720, /lookalldir, /xyindex
Index: trunk/SRC/Tests/tst_initlev_index_stride.pro
===================================================================
--- trunk/SRC/Tests/tst_initlev_index_stride.pro	(revision 76)
+++ trunk/SRC/Tests/tst_initlev_index_stride.pro	(revision 77)
@@ -1,4 +1,3 @@
 file = 'Levitus98_1m_01_12_Temperature_Pot_1x1.nc'
 initncdf, file, glamboundary = [20, 380], useasmask = 'votemper' $
-          , missing_value = 31.0720, iodirectory = [iodir, homedir, !path] $
-          , /recursive, /xyindex, stride = [2, 2, 1]
+          , missing_value = 31.0720, /lookalldir, /xyindex, stride = [2, 2, 1]
Index: trunk/SRC/Tests/tst_initlev_stride.pro
===================================================================
--- trunk/SRC/Tests/tst_initlev_stride.pro	(revision 76)
+++ trunk/SRC/Tests/tst_initlev_stride.pro	(revision 77)
@@ -1,4 +1,3 @@
 file = 'Levitus98_1m_01_12_Temperature_Pot_1x1.nc'
 initncdf, file, glamboundary = [20, 380], useasmask = 'votemper' $
-          , missing_value = 31.0720, iodirectory = [iodir, homedir, !path] $
-          , /recursive, stride = [2, 2, 1]
+          , missing_value = 31.0720, /lookalldir, stride = [2, 2, 1]
Index: trunk/SRC/Tests/tst_initorca05.pro
===================================================================
--- trunk/SRC/Tests/tst_initorca05.pro	(revision 76)
+++ trunk/SRC/Tests/tst_initorca05.pro	(revision 77)
@@ -21,6 +21,6 @@
 ;------------------------------------------------------
 key_stride = [1, 1, 1]
-ncdf_meshread, 'micromeshmaskORCA05.nc', glamboundary = [20, 380] $
-              , iodirectory = [iodir, homedir, !path], /recursive
+ncdf_meshread, 'micromeshmaskORCA05.nc' $
+               , glamboundary = [20, 380], /lookalldir
 ;-------------------------------------------------------------
 domdef
Index: trunk/SRC/Tests/tst_initorca05_index.pro
===================================================================
--- trunk/SRC/Tests/tst_initorca05_index.pro	(revision 76)
+++ trunk/SRC/Tests/tst_initorca05_index.pro	(revision 77)
@@ -10,5 +10,5 @@
 initncdf, file, xminmesh = 1, xmaxmesh = -1 $
           , yminmesh = 0, ymaxmesh = -1, /xyindex $
-          , iodirectory = [iodir, homedir, !path], /recursive
+          , /lookalldir
 ;
 ; 2) definition with the meshmask
@@ -18,5 +18,5 @@
 ;           , /xyindex, zaxisname = 'gdept' $
 ;           , yminmesh = 0, ymaxmesh = -1, xminmesh = 1, xmaxmesh = -1 $
-;           , iodirectory = [iodir, homedir, !path], /recursive
+;           , /lookalldir
 ;
 ; 3) by calling directly computegrid
@@ -30,3 +30,3 @@
 ; computegrid, 0, 0, 1, 1, jpiglo, jpjglo, xminmesh = 1, xmaxmesh = -1 $
 ;              , yminmesh = 0, ymaxmesh = -1, onearth = 0 $
-;              , iodirectory = [iodir, homedir, !path], /recursive
+;              , /lookalldir
Index: trunk/SRC/Tests/tst_initorca05_index_stride.pro
===================================================================
--- trunk/SRC/Tests/tst_initorca05_index_stride.pro	(revision 76)
+++ trunk/SRC/Tests/tst_initorca05_index_stride.pro	(revision 77)
@@ -10,5 +10,5 @@
 initncdf, file, xminmesh = 1, xmaxmesh = -1 $
           , yminmesh = 0, ymaxmesh = -1, /xyindex, stride = [2, 1, 1] $
-          , iodirectory = [iodir, homedir, !path], /recursive
+          , /lookalldir
 ;
 ; 2) definition with the meshmask
@@ -18,5 +18,5 @@
 ;           , /xyindex, zaxisname = 'gdept', stride = [2, 1, 1] $
 ;           , yminmesh = 0, ymaxmesh = -1, xminmesh = 1, xmaxmesh = -1 $
-;           , iodirectory = [iodir, homedir, !path], /recursive
+;           , /lookalldir
 ;
 ; 3) by calling directly computegrid
@@ -30,3 +30,3 @@
 ; computegrid, 0, 0, 1, 1, jpiglo, jpjglo, xminmesh = 1, xmaxmesh = -1 $
 ;           , yminmesh = 0, ymaxmesh = -1, onearth = 0, stride = [2, 1, 1] $
-;           , iodirectory = [iodir, homedir, !path], /recursive
+;           , /lookalldir
Index: trunk/SRC/Tests/tst_initorca05_short.pro
===================================================================
--- trunk/SRC/Tests/tst_initorca05_short.pro	(revision 76)
+++ trunk/SRC/Tests/tst_initorca05_short.pro	(revision 77)
@@ -1,4 +1,3 @@
 file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA05.nc'
 initncdf, file, glamboundary = [20, 380], xminmesh = 1, xmaxmesh = -1 $
-          , yminmesh = 0, ymaxmesh = -1, iodirectory = [iodir, homedir, !path] $
-          , /recursive
+          , yminmesh = 0, ymaxmesh = -1, /lookalldir
Index: trunk/SRC/Tests/tst_initorca05_short_stride.pro
===================================================================
--- trunk/SRC/Tests/tst_initorca05_short_stride.pro	(revision 76)
+++ trunk/SRC/Tests/tst_initorca05_short_stride.pro	(revision 77)
@@ -1,4 +1,3 @@
 file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA05.nc'
 initncdf, file, glamboundary = [20, 380], xminmesh = 1, xmaxmesh = -1 $
-          , yminmesh = 0, ymaxmesh = -1, iodirectory = [iodir, homedir, !path] $
-          , /recursive, stride = [2, 2, 1]
+          , yminmesh = 0, ymaxmesh = -1, /lookalldir, stride = [2, 2, 1]
Index: trunk/SRC/Tests/tst_initorca05_stride.pro
===================================================================
--- trunk/SRC/Tests/tst_initorca05_stride.pro	(revision 76)
+++ trunk/SRC/Tests/tst_initorca05_stride.pro	(revision 77)
@@ -21,6 +21,6 @@
 ;------------------------------------------------------
 key_stride = [2, 2, 1]
-ncdf_meshread, 'micromeshmaskORCA05.nc', glamboundary = [20, 380] $
-              , iodirectory = [iodir, homedir, !path], /recursive
+ncdf_meshread, 'micromeshmaskORCA05.nc' $
+               , glamboundary = [20, 380], /lookalldir
 ;-------------------------------------------------------------
 domdef
Index: trunk/SRC/Tests/tst_initorca2.pro
===================================================================
--- trunk/SRC/Tests/tst_initorca2.pro	(revision 76)
+++ trunk/SRC/Tests/tst_initorca2.pro	(revision 77)
@@ -21,6 +21,6 @@
 ;------------------------------------------------------
 key_stride = [1, 1, 1]
-ncdf_meshread, 'micromeshmaskORCA2.nc', glamboundary = [20, 380] $
-              , iodirectory = [iodir, homedir, !path], /recursive
+ncdf_meshread, 'micromeshmaskORCA2.nc' $
+               , glamboundary = [20, 380], /lookalldir
 ;-------------------------------------------------------------
 domdef
Index: trunk/SRC/Tests/tst_initorca2_index.pro
===================================================================
--- trunk/SRC/Tests/tst_initorca2_index.pro	(revision 76)
+++ trunk/SRC/Tests/tst_initorca2_index.pro	(revision 77)
@@ -11,5 +11,5 @@
 initncdf, file, xminmesh = 1, xmaxmesh = -1 $
           , yminmesh = 0, ymaxmesh = -1, /xyindex $
-          , iodirectory = [iodir, homedir, !path], /recursive
+          , /lookalldir
 ;
 ; 2) definition with the meshmask
@@ -19,5 +19,5 @@
 ;           , /xyindex, zaxisname = 'gdept' $
 ;           , yminmesh = 0, ymaxmesh = -1, xminmesh = 1, xmaxmesh = -1 $
-;           , iodirectory = [iodir, homedir, !path], /recursive
+;           , /lookalldir
 ;
 ; 3) by calling directly computegrid
@@ -31,3 +31,3 @@
 ; computegrid, 0, 0, 1, 1, jpiglo, jpjglo, xminmesh = 1, xmaxmesh = -1 $
 ;              , yminmesh = 0, ymaxmesh = -1, onearth = 0 $
-;              , iodirectory = [iodir, homedir, !path], /recursive
+;              , /lookalldir
Index: trunk/SRC/Tests/tst_initorca2_index_stride.pro
===================================================================
--- trunk/SRC/Tests/tst_initorca2_index_stride.pro	(revision 76)
+++ trunk/SRC/Tests/tst_initorca2_index_stride.pro	(revision 77)
@@ -11,5 +11,5 @@
 initncdf, file, xminmesh = 1, xmaxmesh = -1 $
           , yminmesh = 0, ymaxmesh = -1, /xyindex, stride = [2, 2, 1] $
-          , iodirectory = [iodir, homedir, !path], /recursive
+          , /lookalldir
 ;
 ; 2) definition with the meshmask
@@ -19,5 +19,5 @@
 ;           , /xyindex, zaxisname = 'gdept', stride = [2, 2, 1] $
 ;           , yminmesh = 0, ymaxmesh = -1, xminmesh = 1, xmaxmesh = -1 $
-;           , iodirectory = [iodir, homedir, !path], /recursive
+;           , /lookalldir
 ;
 ; 3) by calling directly computegrid
@@ -31,3 +31,3 @@
 ; computegrid, 0, 0, 1, 1, jpiglo, jpjglo, xminmesh = 1, xmaxmesh = -1 $
 ;           , yminmesh = 0, ymaxmesh = -1, onearth = 0, stride = [2, 2, 1] $
-;           , iodirectory = [iodir, homedir, !path], /recursive
+;           , /lookalldir
Index: trunk/SRC/Tests/tst_initorca2_short.pro
===================================================================
--- trunk/SRC/Tests/tst_initorca2_short.pro	(revision 76)
+++ trunk/SRC/Tests/tst_initorca2_short.pro	(revision 77)
@@ -1,5 +1,4 @@
 file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA2.nc'
 initncdf, file, glamboundary = [20, 380], xminmesh = 1, xmaxmesh = 180 $
-          , yminmesh = 0, ymaxmesh = 147, iodirectory = [iodir, homedir, !path] $
-          , /recursive
+          , yminmesh = 0, ymaxmesh = 147, /lookalldir
 
Index: trunk/SRC/Tests/tst_initorca2_short_stride.pro
===================================================================
--- trunk/SRC/Tests/tst_initorca2_short_stride.pro	(revision 76)
+++ trunk/SRC/Tests/tst_initorca2_short_stride.pro	(revision 77)
@@ -1,5 +1,4 @@
 file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA2.nc'
 initncdf, file, glamboundary = [20, 380], xminmesh = 1, xmaxmesh = 180 $
-          , yminmesh = 0, ymaxmesh = 147, iodirectory = [iodir, homedir, !path] $
-          , /recursive, stride = [2, 2, 1]
+          , yminmesh = 0, ymaxmesh = 147, /lookalldir, stride = [2, 2, 1]
 
Index: trunk/SRC/Tests/tst_initorca2_stride.pro
===================================================================
--- trunk/SRC/Tests/tst_initorca2_stride.pro	(revision 76)
+++ trunk/SRC/Tests/tst_initorca2_stride.pro	(revision 77)
@@ -21,6 +21,6 @@
 ;------------------------------------------------------
 key_stride = [2, 2, 1]
-ncdf_meshread, 'micromeshmaskORCA2.nc', glamboundary = [20, 380] $
-              , iodirectory = [iodir, homedir, !path], /recursive
+ncdf_meshread, 'micromeshmaskORCA2.nc' $
+               , glamboundary = [20, 380], /lookalldir
 ;-------------------------------------------------------------
 domdef
Index: trunk/SRC/Tests/tst_plt.pro
===================================================================
--- trunk/SRC/Tests/tst_plt.pro	(revision 76)
+++ trunk/SRC/Tests/tst_plt.pro	(revision 77)
@@ -10,6 +10,5 @@
     720+510:file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA05.nc'
   ENDCASE
-  file = isafile(file, iodirectory = [iodir, homedir, !path] $
-                 , title = 'Where is '+file+' ?', /recursive)
+  file = isafile(file, title = 'Where is '+file+' ?', /lookalldir)
   IF size(file, /type) NE 7 THEN return
 ;
@@ -19,5 +18,5 @@
   domdef
   domdef, gdept[0], gdept[0], gridtype = 'T'
-  temp = read_ncdf('votemper', 10101, 10131, file = file)
+  temp = read_ncdf('votemper', 00101, 00131, file = file)
 ;
   plt, temp, /landscape
@@ -76,5 +75,5 @@
 ; domdef, 150, 150 ; => warning message
   domdef, gdept[jpk/2], gdept[jpk/2], gridtype = 'T'
-  temp = read_ncdf('votemper', 10101, 10131, file = file)
+  temp = read_ncdf('votemper', 00101, 00131, file = file)
   plt, temp, realcont = 2*(key_onearth), /land
   if keyword_set(image) then saveimage, 'tst_plt_'+image+'_'+string(cnt, format='(i2.2)')+'.png', /png
Index: trunk/SRC/Tests/tst_pltt.pro
===================================================================
--- trunk/SRC/Tests/tst_pltt.pro	(revision 76)
+++ trunk/SRC/Tests/tst_pltt.pro	(revision 77)
@@ -11,6 +11,5 @@
     720+510:file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA05.nc'
   ENDCASE
-  file = isafile(file, iodirectory = [iodir, homedir, !path] $
-                 , title = 'Where is '+file+' ?', /recursive)
+  file = isafile(file, title = 'Where is '+file+' ?', /lookalldir)
   IF size(file, /type) NE 7 THEN return
 ;
@@ -23,5 +22,5 @@
   ELSE domdef, min(glamt), max(glamf), jpj/2-1, jpj/2+1, 0, gdept[0]
 ;
-  temp = read_ncdf('votemper', 10101, 11231, file = file)
+  temp = read_ncdf('votemper', 00101, 01231, file = file)
   IF key_forgetold THEN help, temp.arr ELSE help, temp.tab
   help, jpt, time
@@ -57,5 +56,5 @@
       , gdept[10 < (jpk-1)], gdept[10 < (jpk-1)], gridtype = 'T', /yindex
   ENDELSE 
-  temp = read_ncdf('votemper', 10101, 11231, file = file)
+  temp = read_ncdf('votemper', 00101, 01231, file = file)
   IF key_forgetold THEN help, temp.arr ELSE help, temp.tab
   pltt, temp
@@ -74,5 +73,5 @@
   ENDELSE 
 
-  temp = read_ncdf('votemper', 10101, 11231, file = file)
+  temp = read_ncdf('votemper', 00101, 01231, file = file)
   IF key_forgetold THEN help, temp.arr ELSE help, temp.tab
   pltt, temp
Index: trunk/SRC/Tests/tst_pltz.pro
===================================================================
--- trunk/SRC/Tests/tst_pltz.pro	(revision 76)
+++ trunk/SRC/Tests/tst_pltz.pro	(revision 77)
@@ -13,6 +13,5 @@
     720+510:file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA05.nc'
   ENDCASE
-  file = isafile(file, iodirectory = [iodir, homedir, !path] $
-                 , title = 'Where is '+file+' ?', /recursive)
+  file = isafile(file, title = 'Where is '+file+' ?', /lookalldir)
   IF size(file, /type) NE 7 THEN return
 ;
@@ -20,5 +19,5 @@
   ELSE domdef, min(glamt), max(glamf), jpj/2-1, jpj/2+1, 0, max(gdept)
 ;
-  temp = read_ncdf('votemper', 10101, 10131, file = file)
+  temp = read_ncdf('votemper', 00101, 00131, file = file)
   IF key_forgetold THEN help, temp.arr ELSE help, temp.tab
 ; 
@@ -73,5 +72,5 @@
   ENDELSE 
 
-  temp = read_ncdf('votemper', 10101, 11231, file = file)
+  temp = read_ncdf('votemper', 00101, 01231, file = file)
   pltz, temp, boxzoom = [6000], zoom = 1000, yxaspect = 2, zratio = .5
   if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
@@ -84,5 +83,5 @@
   ELSE endpoints = [jpi/6, jpj/3, 5*jpi/6, 2*jpj/3]
   domdef, endpoints = endpoints, type = 'pltz'
-  temp = read_ncdf('votemper', 10101, 10131, file = file)
+  temp = read_ncdf('votemper', 00101, 00131, file = file)
   pltz, temp, endpoints = endpoints
   if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
@@ -95,5 +94,5 @@
   ELSE endpoints = [jpi/2+0.25, +0.25, jpi/2+0.25,  jpj]
   domdef, 6000, endpoints = endpoints, type = 'pltz'
-  temp = read_ncdf('votemper', 10101, 10131, file = file)
+  temp = read_ncdf('votemper', 00101, 00131, file = file)
   pltz, temp, endpoints = endpoints, boxzoom = [6000] $
         , zoom = 1000, yxaspect = 2, zratio = .5 ; , /showbuild
@@ -108,5 +107,5 @@
     ELSE box = [0, jpi-1, jpj/2, jpj/2, 0, 6000]
     domdef, box, gridtype = 'T'
-    temp = read_ncdf('votemper', 10101, 10131, file = file)
+    temp = read_ncdf('votemper', 00101, 00131, file = file)
     pltz, temp, boxzoom = [6000], /portrait, small = [1, 2, 1] $
           , zoom = 500, zratio = .5
@@ -115,5 +114,5 @@
     ELSE endpoints = [0, jpj/2, jpi-1, jpj/2]
     domdef, 6000, endpoints = endpoints, type = 'pltz', gridtype = 'T'
-    temp = read_ncdf('votemper', 10101, 10131, file = file)
+    temp = read_ncdf('votemper', 00101, 00131, file = file)
     pltz, temp, endpoints = endpoints, boxzoom = [6000] $
           , zoom = 500, zratio = .5 $
Index: trunk/SRC/Utilities/.idlwave_catalog
===================================================================
--- trunk/SRC/Utilities/.idlwave_catalog	(revision 76)
+++ trunk/SRC/Utilities/.idlwave_catalog	(revision 77)
@@ -10,5 +10,5 @@
    ("def_myuniquetmpdir" pro nil (lib "def_myuniquetmpdir.pro" nil "saxo") "%s" (nil))
    ("demomode_compatibility" pro nil (lib "demomode_compatibility.pro" nil "saxo") "%s" (nil))
-   ("find" fun nil (lib "find.pro" nil "saxo") "Result = %s(filein)" (nil ("_extra") ("FIRSTFOUND") ("IODIRECTORY") ("NOPRO") ("ONLYNC") ("ONLYPRO") ("RECURSIVE") ("REPERTOIRE") ("UNIQUE")))
+   ("find" fun nil (lib "find.pro" nil "saxo") "Result = %s(filein)" (nil ("_extra") ("FIRSTFOUND") ("IODIRECTORY") ("LOOKALLDIR") ("NOPRO") ("ONLYNC") ("ONLYPRO") ("RECURSIVE") ("REPERTOIRE") ("UNIQUE")))
    ("isadirectory" fun nil (lib "isadirectory.pro" nil "saxo") "Result = %s(directoryin)" (nil ("_extra") ("IODIRECTORY") ("TITLE")))
    ("isafile" fun nil (lib "isafile.pro" nil "saxo") "Result = %s(filein)" (nil ("_extra") ("FILENAME") ("IODIRECTORY") ("NEW") ("ONLYNC") ("ONLYPRO") ("RECURSIVE")))
Index: trunk/SRC/Utilities/find.pro
===================================================================
--- trunk/SRC/Utilities/find.pro	(revision 76)
+++ trunk/SRC/Utilities/find.pro	(revision 77)
@@ -23,4 +23,7 @@
 ; KEYWORD PARAMETERS:
 ;
+;     FIRSTFOUND: activate this keyword to stop looking for the file as
+;        soon as we found one.
+;
 ;     IODIRECTORY: A scalar or array variable of string type, containing
 ;        directories names where we are looking for the file. by defaut
@@ -31,6 +34,13 @@
 ;        keyword is not taken into account.
 ;
-;     FIRSTFOUND: activate this keyword to stop looking for the file as
-;        soon as we found one.
+;     LOOKALLDIR:activate to look for the file with a recursive search
+;        in iodir, homedir, !path + the DATA:TestsData directory if it exists.
+;
+;     NOPRO: activate to avoid the automatic search of filename
+;        completed with '.pro'
+;
+;     ONLYPRO:force to look only at file ending with .pro
+;
+;     ONLYNC:force to look only at file ending with .nc
 ;
 ;     RECURSIVE: performs recursive searching of directory hierarchies.
@@ -40,11 +50,4 @@
 ;
 ;     REPERTOIRE: obsolete. keep for compatibility, use directory keyword
-;
-;     NOPRO: activate to avoid the automatic search of filename
-;        completed with '.pro'
-;
-;     ONLYPRO:force to look only at file ending with .pro
-;
-;     ONLYNC:force to look only at file ending with .nc
 ;
 ;     UNIQUE: activate to make sure that each element of the output
@@ -102,8 +105,14 @@
                , REPERTOIRE = repertoire, NOPRO = nopro, ONLYPRO = onlypro $
                , ONLYNC = onlync, UNIQUE = unique, FIRSTFOUND = firstfound $
-               , _extra = ex
-;
+               , LOOKALLDIR = LOOKALLDIR, _extra = ex
 ; define where we look for the file
   CASE 1 OF
+    keyword_set(lookalldir):BEGIN 
+@cm_general
+      dirnames = [iodir, homedir, !path]
+      tstdtadir= file_dirname(find('find', /onlypro), /mark_directory)
+      tstdtadir = (file_search(tstdtadir+'../../DATA/TestsData'))[0]
+      IF tstdtadir NE '' THEN dirnames = [tstdtadir, dirnames]
+    END
     keyword_set(iodirectory): dirnames = iodirectory
     keyword_set(repertoire): dirnames = repertoire
